Organisations
Register new organisation
Register a new organisation and attach the current logged in users to the organisation
POST
/
api
/
v1
/
{app_id}
/
organisations
Error
A valid request URL is required to generate request examples{
"company": {
"app_id": "<string>",
"attributes": [
{
"description": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"translations": {
"description": {},
"name": {}
},
"values": {}
}
],
"billing_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"shipping_type": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"comment": "<string>",
"contact_name": "<string>",
"created_at": "<string>",
"credit_check": true,
"custom_fields": {},
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"external_ref": "<string>",
"files": [
{
"app_id": "<string>",
"content_type": "<string>",
"created_at": "<string>",
"custom_fields": {},
"filename": "<string>",
"id": "<string>",
"updated_at": "<string>",
"url": "<string>"
}
],
"id": "<string>",
"invoice_email": "<string>",
"name": "<string>",
"organisation_number": "<string>",
"parent_id": "<string>",
"phone": "<string>",
"shipping_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"shipping_type": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"status": "<string>",
"store_groups": [
{
"country_of_sale": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"store_type": "<string>",
"updated_at": "<string>"
}
],
"tags": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>"
}
],
"tax_id_vat_number": "<string>",
"updated_at": "<string>"
}
}Path Parameters
UUID of the app
Body
application/json
User registration details
Available options:
active, pending Show child attributes
Show child attributes
Show child attributes
Show child attributes
The role asigned to the signed in user in the organisation and user relationship. The slug of the custom role
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
⌘I
Error
A valid request URL is required to generate request examples{
"company": {
"app_id": "<string>",
"attributes": [
{
"description": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"translations": {
"description": {},
"name": {}
},
"values": {}
}
],
"billing_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"shipping_type": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"comment": "<string>",
"contact_name": "<string>",
"created_at": "<string>",
"credit_check": true,
"custom_fields": {},
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"external_ref": "<string>",
"files": [
{
"app_id": "<string>",
"content_type": "<string>",
"created_at": "<string>",
"custom_fields": {},
"filename": "<string>",
"id": "<string>",
"updated_at": "<string>",
"url": "<string>"
}
],
"id": "<string>",
"invoice_email": "<string>",
"name": "<string>",
"organisation_number": "<string>",
"parent_id": "<string>",
"phone": "<string>",
"shipping_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"shipping_type": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"status": "<string>",
"store_groups": [
{
"country_of_sale": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"store_type": "<string>",
"updated_at": "<string>"
}
],
"tags": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>"
}
],
"tax_id_vat_number": "<string>",
"updated_at": "<string>"
}
}